var noble = require('../index');


noble.on('stateChange', function(state) {
  if (state === 'poweredOn') {
    noble.startScanning();
  } else {
    noble.stopScanning();
  }
});

noble.on('discover', function(peripheral) {
  peripheral.connect(function(error) {
    console.log('connected to peripheral: ' + peripheral.uuid);
    peripheral.discoverServices(['ff10'], function(error, services) {
      var deviceInformationService = services[0];
      console.log('discovered device information service');

      deviceInformationService.discoverCharacteristics(['ff11'], function(error, characteristics) {
        var deviceCharacteristic = characteristics[0];
        console.log('discovered deviceCharacteristic');

		
		    ////for( var i = 1; i <= 100; i++ ){
			////		console.log('i= ' + i);
					////deviceCharacteristic.read(function(error, readBuffer) {

						var writeBuffer = new Buffer(1);
						var dataWrite = writeBuffer.writeUInt8(1, 0);
						///var dataWrite = writeBuffer.writeUInt8(0x00, 0);
						///var dataWrite = writeBuffer.toString('hex');
						
						////var counter = 0;
						// jwc: seems that not work if 'true', therefore use 'false': true if for write without response
						// jwc good but too cryptic: deviceCharacteristic.write(new Buffer([0x01]), false, function(error) {
						/// jwc good: deviceCharacteristic.write(writeBuffer, false, function(error) {
						//// for loops seems to mess with the sequence: for( var i = 1; i <= 10; i++ ){
						for( var j = 1; j <=1000; j++ ){
							deviceCharacteristic.write(new Buffer([0x01]), false, function(error) {});
							deviceCharacteristic.write(new Buffer([0x00]), false, function(error) {});
							deviceCharacteristic.write(new Buffer([0x01]), false, function(error) {});
							deviceCharacteristic.write(new Buffer([0x00]), false, function(error) {});
							deviceCharacteristic.write(new Buffer([0x01]), false, function(error) {});
							deviceCharacteristic.write(new Buffer([0x00]), false, function(error) {});
							deviceCharacteristic.write(new Buffer([0x01]), false, function(error) {});
							deviceCharacteristic.write(new Buffer([0x00]), false, function(error) {});
							
							console.log( j );
							/// not really help: peripheral.disconnect(function(error) {
							/// not really help: console.log('disconnected from peripheral: ' + peripheral.uuid);
							}

											
							

							//for( var j = 1; j <=1000; j++ ){
								//// do nothing, just a delay
							//}
					
					
					////});
        

        
        ////}
        
      });
    });
  });
  
  peripheral.disconnect(function(error) {
    console.log('disconnected from peripheral: ' + peripheral.uuid);
  });
  
  
});
